Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::v3::concepts::ErasableRange Struct Reference
Inheritance diagram for ranges::v3::concepts::ErasableRange:

## Public Types
template<typename Rng , typename... Rest>
using | result_t = decltype(ranges::erase(std::declval< Rng & >(), std::declval< Rest >()...))
Public Types inherited from ranges::v3::concepts::refines< Range(_1)>
using | base_concepts_t = meta::list< Concepts... >

## Public Member Functions
template<typename Rng , typename... Rest>
auto | requires_ () -> meta::void_< result_t< Rng, Rest... >>
Public Member Functions inherited from ranges::v3::concepts::refines< Range(_1)>
void | requires_ ()